--AH:ScriptId=1CEDE080-293C-47EF-9348-DFEB5BE8F413

CREATE TABLE [DockerRepositoryTags]
(
	[DockerRepository_Id] INT NOT NULL,
	[Tag_Name] VARCHAR(255) NOT NULL,
	[DockerImage_Id] INT NOT NULL,

	CONSTRAINT [PK__DockerRepositoryTags]
		PRIMARY KEY ([DockerRepository_Id], [Tag_Name]),

	CONSTRAINT [FK__DockerRepositoryTags__DockerRepositories]
		FOREIGN KEY ([DockerRepository_Id])
		REFERENCES [DockerRepositories] ([DockerRepository_Id]),

	CONSTRAINT [FK__DockerRepositoryTags__DockerImages]
		FOREIGN KEY ([DockerImage_Id])
		REFERENCES [DockerImages] ([DockerImage_Id])
		ON DELETE CASCADE
)
GO

INSERT INTO [DockerRepositoryTags]
(
	[DockerRepository_Id],
	[Tag_Name],
	[DockerImage_Id]
)
SELECT DR.[DockerRepository_Id],
       DIT.[Tag_Name],
	   DI.[DockerImage_Id]
  FROM [DockerImageTags] DIT
       INNER JOIN [DockerRepositories] DR
	           ON DR.[Feed_Id] = DIT.[Feed_Id]
			  AND DR.[Repository_Name] = DIT.[Repository_Name]
       INNER JOIN (SELECT [DockerRepository_Id],
	                      [Image_Digest],
						  [DockerImage_Id] = MAX([DockerImage_Id])
	                 FROM [DockerImages]
					GROUP BY [DockerRepository_Id], [Image_Digest]) DI
			   ON DR.[DockerRepository_Id] = DI.[DockerRepository_Id]
			  AND DI.[Image_Digest] = DIT.[Image_Digest]
