EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Events_RaiseEvent',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ NULL,
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Stored procedure for internal use only.'
GO

IF OBJECT_ID('[Events_RaiseEvent]') IS NOT NULL DROP PROCEDURE [Events_RaiseEvent]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Events_RaiseEvent]
(
	@Event_Code CHAR(6),
	@Feed_Id INT = NULL,
	@Detail1_Name NVARCHAR(50) = NULL,
	@Detail1_Value NVARCHAR(MAX) = NULL,
	@Detail2_Name NVARCHAR(50) = NULL,
	@Detail2_Value NVARCHAR(MAX) = NULL,
	@Detail3_Name NVARCHAR(50) = NULL,
	@Detail3_Value NVARCHAR(MAX) = NULL,
	@Detail4_Name NVARCHAR(50) = NULL,
	@Detail4_Value NVARCHAR(MAX) = NULL
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DECLARE @User_Name USERNAME
		SET @User_Name = dbo.Session_GetUserName()

	DECLARE @DetailsXml_Text NVARCHAR(MAX)
	
	IF @Detail1_Name IS NOT NULL AND @Detail1_Value IS NOT NULL
	BEGIN

		SET @DetailsXml_Text = '<Details ' + dbo.CreateXmlAttribute(@Detail1_Name, @Detail1_Value)

		IF @Detail2_Name IS NOT NULL AND @Detail2_Value IS NOT NULL
		BEGIN

			SET @DetailsXml_Text = @DetailsXml_Text + ' ' + dbo.CreateXmlAttribute(@Detail2_Name, @Detail2_Value)

					IF @Detail3_Name IS NOT NULL AND @Detail3_Value IS NOT NULL
					BEGIN

						SET @DetailsXml_Text = @DetailsXml_Text + ' ' + dbo.CreateXmlAttribute(@Detail3_Name, @Detail3_Value)

						IF @Detail4_Name IS NOT NULL AND @Detail4_Value IS NOT NULL
						BEGIN

							SET @DetailsXml_Text = @DetailsXml_Text + ' ' + dbo.CreateXmlAttribute(@Detail4_Name, @Detail4_Value)

						END


					END

		END

		SET @DetailsXml_Text = @DetailsXml_Text + ' />'

	END

	INSERT INTO [EventOccurrences]
	(
		[Event_Code],
		[User_Name],
		[Occurrence_Date],
		[Feed_Id],
		[Details_Xml]
	)
	VALUES
	(
		@Event_Code,
		@User_Name,
		GETUTCDATE(),
		@Feed_Id,
		CAST(@DetailsXml_Text AS XML)
	)

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO