EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ApiKeys_GetApiKeyByKey',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'ApiKeys(1),ApiKeyTasks_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified API key by the API key, and also returns its associated permissions.'
GO

IF OBJECT_ID('[ApiKeys_GetApiKeyByKey]') IS NOT NULL DROP PROCEDURE [ApiKeys_GetApiKeyByKey]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ApiKeys_GetApiKeyByKey]
(
    @ApiKey_Text VARCHAR(50)
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
      FROM [ApiKeys]
     WHERE [ApiKey_Text] = @ApiKey_Text

    SELECT AKT.*
      FROM [ApiKeyTasks_Extended] AKT
           INNER JOIN [ApiKeys] AK
                   ON AK.[ApiKey_Id] = AKT.[ApiKey_Id]
     WHERE AK.[ApiKey_Text] = @ApiKey_Text

END
GO

GRANT EXECUTE ON [ApiKeys_GetApiKeyByKey] TO [ProGetUser_Role]