EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ClusterNodes_SetMessengerEndpoint',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Updates the messenger endpoint address for a cluster node.'
GO

IF OBJECT_ID('[ClusterNodes_SetMessengerEndpoint]') IS NOT NULL DROP PROCEDURE [ClusterNodes_SetMessengerEndpoint]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ClusterNodes_SetMessengerEndpoint]
(
	@ClusterNode_Id INT,
	@MessengerEndpointAddress_Text VARCHAR(100)
)
AS
BEGIN
SET NOCOUNT ON

BEGIN TRY

	BEGIN TRANSACTION

	UPDATE [ClusterNodes2]
	   SET [MessengerEndpointAddress_Text] = @MessengerEndpointAddress_Text
	 WHERE [ClusterNode_Id] = @ClusterNode_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [ClusterNodes_SetMessengerEndpoint] TO [ProGetUser_Role]
GO
