EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'FeedUsageInstructions_CreateOrUpdateUsageInstructions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ NULL,
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'FeedUsageInstruction_Id',
    /* Description_Text        */ 'Creates or updates the specified feed usage instructions.'
GO

IF OBJECT_ID('[FeedUsageInstructions_CreateOrUpdateUsageInstructions]') IS NOT NULL DROP PROCEDURE [FeedUsageInstructions_CreateOrUpdateUsageInstructions]
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [FeedUsageInstructions_CreateOrUpdateUsageInstructions]
(
	@Feed_Id INT,
    @FeedUsageInstruction_Name NVARCHAR(50) = NULL,
    @FeedUsageInstruction_Instructions NVARCHAR(MAX) = NULL,	
	@FeedUsageInstruction_Id INT = NULL OUT
)
AS
BEGIN

SET NOCOUNT ON
	IF @FeedUsageInstruction_Id IS NULL
	BEGIN
		INSERT INTO [FeedUsageInstructions]
		(
			[Feed_Id],
			[FeedUsageInstruction_Name],
			[FeedUsageInstruction_Instructions]
		)
		VALUES
		(
			@Feed_Id,
			@FeedUsageInstruction_Name,
			@FeedUsageInstruction_Instructions
		)

		SET @FeedUsageInstruction_Id = SCOPE_IDENTITY()
	END
	ELSE
	BEGIN
		UPDATE [FeedUsageInstructions]
		SET [FeedUsageInstruction_Name] = COALESCE(@FeedUsageInstruction_Name, [FeedUsageInstruction_Name]),
			[FeedUsageInstruction_Instructions] = COALESCE(@FeedUsageInstruction_Instructions, [FeedUsageInstruction_Instructions])
		WHERE [FeedUsageInstruction_Id] = @FeedUsageInstruction_Id
	END

END
GO

GRANT EXECUTE ON [FeedUsageInstructions_CreateOrUpdateUsageInstructions] TO [ProGetUser_Role]