EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Feeds_DeletePackageContainerScanner',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Dissociates a feed from a package/container scanner.'
GO

IF OBJECT_ID('[Feeds_DeletePackageContainerScanner]') IS NOT NULL DROP PROCEDURE [Feeds_DeletePackageContainerScanner]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_DeletePackageContainerScanner]
(
	@Feed_Id INT,
	@PackageContainerScanner_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [FeedPackageContainerScanners] 
     WHERE [Feed_Id] = @Feed_Id
       AND [PackageContainerScanner_Id] = @PackageContainerScanner_Id

    COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Feeds_DeletePackageContainerScanner] TO [ProGetUser_Role]
GO
