EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Feeds_SetFeedGroup',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Sets feed group to which this feed belongs.'
GO

IF OBJECT_ID('[Feeds_SetFeedGroup]') IS NOT NULL DROP PROCEDURE [Feeds_SetFeedGroup]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_SetFeedGroup]
(
	@Feed_Id INT,
	@FeedGroup_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [Feeds]
	   SET [FeedGroup_Id] = @FeedGroup_Id
	 WHERE [Feed_Id] = @Feed_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Feeds_SetFeedGroup] TO [ProGetUser_Role]
GO