EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ProGetPackages_GetPopularPackages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ProGetPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the packages in a ProGet feed that have been downloaded the most.'
GO

IF OBJECT_ID('[ProGetPackages_GetPopularPackages]') IS NOT NULL DROP PROCEDURE [ProGetPackages_GetPopularPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ProGetPackages_GetPopularPackages]
(
	@Feed_Id INT,
	@Max_Count INT
)
AS
BEGIN

SET NOCOUNT ON

	IF @Max_Count IS NOT NULL
		SET ROWCOUNT @Max_Count

	SELECT *
	  FROM [ProGetPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Listed_Indicator] = 'Y'
	 ORDER BY [Download_Count] DESC

END
GO

GRANT EXECUTE ON [ProGetPackages_GetPopularPackages] TO [ProGetUser_Role]
GO