EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PypiPackages_IncrementDownloadCount',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Increments the download count of a pypi package and updates its last downloaded timestamp.'
GO

IF OBJECT_ID('[PypiPackages_IncrementDownloadCount]') IS NOT NULL DROP PROCEDURE [PypiPackages_IncrementDownloadCount]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PypiPackages_IncrementDownloadCount]
(
	@Feed_Id INT,
	@Package_Name VARCHAR(200),
	@Version_Text VARCHAR(200),
	@File_Name VARCHAR(200)
)
AS
BEGIN

SET NOCOUNT ON

	UPDATE [PypiPackages]
	   SET [Download_Count] = [Download_Count] + 1,
	       [LastDownloaded_Date] = GETUTCDATE()
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Package_Name] = @Package_Name
	   AND [Version_Text] = @Version_Text
	   AND [File_Name] = @File_Name

END
GO

GRANT EXECUTE ON [PypiPackages_IncrementDownloadCount] TO [ProGetUser_Role]
GO
